function choosesubtractpotentialfile
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global handles subtractpotentialstatus subtractpotential

[subtractpotentialfilename,subtractpotentialfilepath]=uigetfile('*.at*','bitte geben Sie das Avg-file an:');
if isequal(subtractpotentialfilename,0)|isequal(subtractpotentialfilepath,0)
        uiwait(msgbox('File not found!','Error:'));
   return
else
    subtractpotential=readavgfile([subtractpotentialfilepath,subtractpotentialfilename]);
    set(handles.subtractpotentialfilemonitor,'String',subtractpotentialfilename);
end

return